<template lang="html">
  <modal class="account-modal" name="account-modal"
  :width="1156"
  :height="772"
  >
      <div class="ui-signin-modal__container">
          <div class="ui-signin-form">
              <p class="text-uppercase form-title">Личный кабинет</p>
              <ui-account-tabs></ui-account-tabs>
          </div>
          <ui-modal-close-button></ui-modal-close-button>
      </div>
  </modal>

</template>

<script>

export default {
    props: ['title', 'nameModal'],
    data () {
        return {
          signin: [
            {
              title: 'Вход',
              nameModal: 'signin-modal'
            }
          ],
          signup: [
            {
              title: 'Регистрация',
              nameModal: 'signup-modal'
            }
          ]
        }
    }
}
</script>

<style lang="scss" scoped>
    .v--modal-box {
      border-radius: 100px!important;
    }
    .ui-signin-modal__container {
        display: flex;
        padding: 7px 29px 16px 74px;

        background-image: url(../../assets/img/home/bg-account.svg);
        background-position: center;
        background-size: cover;

        height: 100%;

        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.45);
        .ui-signin-close-button {
          margin-top: 33px;
        }
        .ui-signin-form {
          width: 100%;

          padding-left: 23px;
          .form-title {
            text-align: center;
            text-transform: uppercase;
            font-size: 32px;
            font-family: sans-serif;
            font-weight: bold;

            margin-top: 40px;
            margin-bottom: 30px;
          }
          .ui-other-buttons {
            display: flex;
            flex-direction: column;
            align-items: center;

            margin-bottom: 20px;
            .block-or {
              width: 100%;
              text-align: center;

              p:before {
                content: '';
                width: 100%;
                position: absolute;
                border-top: 2px;
                width: 20px;
              }
              p {
                width: 100%;
              }
            }
          }
        }
        .ui-signin-input-info {
          .ui-signin-login {
            width: 100%;
            p {

              margin: 0 0 5px 0;
            }
            input {
              padding: 10px 25px;
              width: 85%;
              border-radius: 5px;
              border: 1px solid black;
            }
          }
          .ui-signin-password {
            p {
              margin: 0 0 5px 0;
            }
            input {
              padding: 10px 25px;
              width: 85%;
              border-radius: 5px;
              border: 1px solid black;
            }
          }
        }
    }
</style>
